English | Deutsch | Español | Português
 UserID:
 Passwd:
new user
 About:   Dedicated  | Advanced  | Standard  | Recurring  | No Risk  | Desktop  | Basic  | Single  | Security Seal  | FAQ
  Price/Feature Summary  | Order  | New Vulnerabilities  | Confidentiality  | Vulnerability Search
 Vulnerability   
Search   
    Search 72022 CVE descriptions
and 38680 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.56889
Category:FreeBSD Local Security Checks
Title:FreeBSD Ports: drupal
Summary:FreeBSD Ports: drupal
Description:The remote host is missing an update to the system
as announced in the referenced advisory.

The following package is affected: drupal

CVE-2006-2742
SQL injection vulnerability in Drupal 4.6.x before 4.6.7 and 4.7.0
allows remote attackers to execute arbitrary SQL commands via the (1)
count and (2) from variables to (a) database.mysql.inc, (b)
database.pgsql.inc, and (c) database.mysqli.inc.

CVE-2006-2743
Drupal 4.6.x before 4.6.7 and 4.7.0, when running on Apache with
mod_mime, does not properly handle files with multiple extensions,
which allows remote attackers to upload, modify, or execute arbitrary
files in the files directory.

Solution:
Update your system with the appropriate patches or
software upgrades.

http://drupal.org/node/65357
http://drupal.org/node/65409
http://www.vuxml.org/freebsd/40a0185f-ec32-11da-be02-000c6ec775d9.html
Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2006-2742
Bugtraq: 20060602 [DRUPAL-SA-2006-005] Drupal 4.6.7 / 4.7.1 fixes SQL injection issue (Google Search)
http://www.securityfocus.com/archive/1/archive/1/435790/100/0/threaded
Debian Security Information: DSA-1125 (Google Search)
http://www.debian.org/security/2006/dsa-1125
BugTraq ID: 18245
http://www.securityfocus.com/bid/18245
http://www.vupen.com/english/advisories/2006/1975
http://secunia.com/advisories/20140
http://secunia.com/advisories/21244
XForce ISS Database: drupal-database-sql-injection(26654)
http://xforce.iss.net/xforce/xfdb/26654
Common Vulnerability Exposure (CVE) ID: CVE-2006-2743
http://milw0rm.com/exploits/1821
Bugtraq: 20060602 [DRUPAL-SA-2006-006] Drupal 4.6.7 / 4.7.1 fixes arbitrary file execution issue (Google Search)
http://www.securityfocus.com/archive/1/archive/1/435794/100/0/threaded
XForce ISS Database: drupal-files-script-execution(26655)
http://xforce.iss.net/xforce/xfdb/26655
CopyrightCopyright (c) 2006 E-Soft Inc. http://www.securityspace.com

This is only one of 38680 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.

New User Registration
Email:
UserID:
Passwd:
Please email me your monthly newsletters, informing the latest services, improvements & surveys.
Please email me a vulnerability test announcement whenever a new test is added.
   Privacy
Registered User Login
 
UserID:   
Passwd:  

 Forgot userid or passwd?
Email/Userid:




Home | About Us | Contact Us | Partner Programs | Privacy | Mailing Lists | Abuse
Security Audits | Managed DNS | Network Monitoring | Site Analyzer | Internet Research Reports
Web Probe | Whois

© 1998-2014 E-Soft Inc. All rights reserved.